Page MenuHomePhabricator

Upgrade eqiad data centre to Elasticsearch 2.3
Closed, ResolvedPublic

Description

We need to upgrade both of our data centres to Elasticsearch 2.3. This task tracks the work to upgrade eqiad.

Related Objects

StatusSubtypeAssignedTask
DeclinedNone
Resolveddebt
ResolvedGehel
ResolvedRobH
ResolvedEBernhardson
ResolvedEBernhardson
ResolvedEBernhardson
Resolveddebt
Resolved dcausse
Resolved dcausse
Resolved dcausse
Resolved dcausse
Resolved dcausse
Resolved dcausse
Resolved dcausse
Resolved dcausse
Resolved dcausse

Event Timeline

Deskana created this task.Apr 19 2016, 11:15 PM
Restricted Application added subscribers: TerraCodes, Aklapper. · View Herald TranscriptApr 19 2016, 11:15 PM
Deskana triaged this task as Medium priority.Apr 19 2016, 11:57 PM
Gehel added a subscriber: Gehel.Apr 20 2016, 12:28 PM
debt added a subscriber: debt.

This should be completed on Monday, June 6th

Change 292541 had a related patch set uploaded (by Gehel):
Update configuration for elasticsearch 2.3 upgrade on eqiad

https://gerrit.wikimedia.org/r/292541

Mentioned in SAL [2016-06-03T10:39:30Z] <gehel> Starting upgrade of elasticsearch eqiad cluster to 2.3 (T133126)

Change 292541 merged by Gehel:
Update configuration for elasticsearch 2.3 upgrade on eqiad

https://gerrit.wikimedia.org/r/292541

Mentioned in SAL [2016-06-03T10:48:15Z] <gehel> taking elasticsearch eqiad cluster down for upgrade to 2.3 (T133126)

Mentioned in SAL [2016-06-03T11:18:30Z] <gehel> freezing writes from CirrusSearch to eqiad clsuter during upgrade (T133126)

Mentioned in SAL [2016-06-03T14:38:22Z] <gehel> un-freezing writes from CirrusSearch to eqiad cluster during upgrade (T133126)

debt closed this task as Resolved.Jul 21 2016, 4:00 PM